using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    /// <summary>
    /// 企业能耗配置信息
    /// </summary>
    [Description("企业能耗配置信息")]
    public partial class T_FM_BASE_ENERGY: MesEntityBase
    {
        [Description("能源加工")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public bool IS_ENERGY { get; set; }

        [Description("能管机构")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(50)]
        public string ENERGY_MANAGEMENT { get; set; }

        [Description("主管节能领导")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(20)]
        public string ENERGY_LEADER { get; set; }

        [Description("节能领导职位")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(20)]
        public string LEADER_POSITION { get; set; }

        [Description("节能领导电话")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(20)]
        public string LEADER_TEL { get; set; }

        [Description("能管负责人")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(20)]
        public string ENERGY_CHARGE { get; set; }

        [Description("能管负责人电话")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(20)]
        public string CHARGE_TEL { get; set; }

        [Description("是否通过能源管理体系认证")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public bool IS_MANAGEMENT_SYS { get; set; }

        [Description("认证日期")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public DateTime AUTH_DATE { get; set; }

        [Description("认证机构")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(50)]
        public string AUTH_MECHANISM { get; set; }
    }
}
